StableOps
API reference

List payment orders

Returns a list of orders in this org + environment, most recent first.

GET/v1/payment-orders

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard (no sk_ prefix required).

In: header

Query Parameters

limit?number

Page size (1-200, default 50).

status?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/payment-orders"
{
  "items": [
    {
      "id": "string",
      "merchant_order_id": "string",
      "scenario": "saas_subscription",
      "amount": "string",
      "requested_amount": "string",
      "settlement_asset": "USDC",
      "status": "created",
      "expires_at": "2019-08-24T14:15:22Z",
      "metadata": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "accepted_assets": [
        {
          "chain": "ethereum",
          "asset": "USDC"
        }
      ],
      "payment_instructions": [
        {
          "chain": "ethereum",
          "asset": "USDC",
          "address": "string"
        }
      ]
    }
  ]
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}
{
  "statusCode": -9007199254740991,
  "message": "string",
  "error": "string"
}